/* [config]
 * expect_result: pass
 * glsl_version: 1.50
 * require_extensions: GL_ARB_gpu_shader_fp64
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * transpose(dmat3x2(np.float64(0.09)lf, np.float64(-1.19)lf, np.float64(1.3)lf, np.float64(0.08)lf, np.float64(1.25)lf, np.float64(1.08)lf)) => dmat2x3(np.float64(0.09)lf, np.float64(1.3)lf, np.float64(1.25)lf, np.float64(-1.19)lf, np.float64(0.08)lf, np.float64(1.08)lf)
 * transpose(dmat3x2(np.float64(-0.36)lf, np.float64(-0.53)lf, np.float64(-1.08)lf, np.float64(0.88)lf, np.float64(-0.6)lf, np.float64(-1.79)lf)) => dmat2x3(np.float64(-0.36)lf, np.float64(-1.08)lf, np.float64(-0.6)lf, np.float64(-0.53)lf, np.float64(0.88)lf, np.float64(-1.79)lf)
 */
#version 150
#extension GL_ARB_gpu_shader_fp64 : require

void main()
{
  double[(distance(transpose(dmat3x2(np.float64(0.09)lf, np.float64(-1.19)lf, np.float64(1.3)lf, np.float64(0.08)lf, np.float64(1.25)lf, np.float64(1.08)lf))[0], dvec3(np.float64(0.09)lf, np.float64(1.3)lf, np.float64(1.25)lf)) * distance(transpose(dmat3x2(np.float64(0.09)lf, np.float64(-1.19)lf, np.float64(1.3)lf, np.float64(0.08)lf, np.float64(1.25)lf, np.float64(1.08)lf))[0], dvec3(np.float64(0.09)lf, np.float64(1.3)lf, np.float64(1.25)lf))) + (distance(transpose(dmat3x2(np.float64(0.09)lf, np.float64(-1.19)lf, np.float64(1.3)lf, np.float64(0.08)lf, np.float64(1.25)lf, np.float64(1.08)lf))[1], dvec3(np.float64(-1.19)lf, np.float64(0.08)lf, np.float64(1.08)lf)) * distance(transpose(dmat3x2(np.float64(0.09)lf, np.float64(-1.19)lf, np.float64(1.3)lf, np.float64(0.08)lf, np.float64(1.25)lf, np.float64(1.08)lf))[1], dvec3(np.float64(-1.19)lf, np.float64(0.08)lf, np.float64(1.08)lf))) <= np.float64(5.849500000000002e-10)lf ? 1 : -1] array0;
  double[(distance(transpose(dmat3x2(np.float64(-0.36)lf, np.float64(-0.53)lf, np.float64(-1.08)lf, np.float64(0.88)lf, np.float64(-0.6)lf, np.float64(-1.79)lf))[0], dvec3(np.float64(-0.36)lf, np.float64(-1.08)lf, np.float64(-0.6)lf)) * distance(transpose(dmat3x2(np.float64(-0.36)lf, np.float64(-0.53)lf, np.float64(-1.08)lf, np.float64(0.88)lf, np.float64(-0.6)lf, np.float64(-1.79)lf))[0], dvec3(np.float64(-0.36)lf, np.float64(-1.08)lf, np.float64(-0.6)lf))) + (distance(transpose(dmat3x2(np.float64(-0.36)lf, np.float64(-0.53)lf, np.float64(-1.08)lf, np.float64(0.88)lf, np.float64(-0.6)lf, np.float64(-1.79)lf))[1], dvec3(np.float64(-0.53)lf, np.float64(0.88)lf, np.float64(-1.79)lf)) * distance(transpose(dmat3x2(np.float64(-0.36)lf, np.float64(-0.53)lf, np.float64(-1.08)lf, np.float64(0.88)lf, np.float64(-0.6)lf, np.float64(-1.79)lf))[1], dvec3(np.float64(-0.53)lf, np.float64(0.88)lf, np.float64(-1.79)lf))) <= np.float64(5.915400000000001e-10)lf ? 1 : -1] array1;
  gl_FragColor = vec4(array0.length() + array1.length());
}
