/* [config]
 * expect_result: pass
 * glsl_version: 1.50
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (mat2x3(np.float32(-0.46), np.float32(-0.45), np.float32(1.03), np.float32(1.94), np.float32(-0.75), np.float32(-0.5)) + mat2x3(np.float32(-0.46), np.float32(-0.45), np.float32(1.03), np.float32(1.94), np.float32(-0.75), np.float32(-0.5))) => mat2x3(np.float32(-0.92), np.float32(-0.9), np.float32(2.06), np.float32(3.88), np.float32(-1.5), np.float32(-1.0))
 * (mat2x3(np.float32(-0.46), np.float32(-0.45), np.float32(1.03), np.float32(1.94), np.float32(-0.75), np.float32(-0.5)) + mat2x3(np.float32(1.38), np.float32(-1.27), np.float32(1.0), np.float32(-1.08), np.float32(1.83), np.float32(-0.74))) => mat2x3(np.float32(0.91999996), np.float32(-1.72), np.float32(2.03), np.float32(0.86), np.float32(1.08), np.float32(-1.24))
 * (mat2x3(np.float32(1.38), np.float32(-1.27), np.float32(1.0), np.float32(-1.08), np.float32(1.83), np.float32(-0.74)) + mat2x3(np.float32(-0.46), np.float32(-0.45), np.float32(1.03), np.float32(1.94), np.float32(-0.75), np.float32(-0.5))) => mat2x3(np.float32(0.91999996), np.float32(-1.72), np.float32(2.03), np.float32(0.86), np.float32(1.08), np.float32(-1.24))
 * (mat2x3(np.float32(1.38), np.float32(-1.27), np.float32(1.0), np.float32(-1.08), np.float32(1.83), np.float32(-0.74)) + mat2x3(np.float32(1.38), np.float32(-1.27), np.float32(1.0), np.float32(-1.08), np.float32(1.83), np.float32(-0.74))) => mat2x3(np.float32(2.76), np.float32(-2.54), np.float32(2.0), np.float32(-2.16), np.float32(3.66), np.float32(-1.48))
 */
#version 150

void main()
{
  float[pow(distance((mat2x3(np.float32(-0.46), np.float32(-0.45), np.float32(1.03), np.float32(1.94), np.float32(-0.75), np.float32(-0.5)) + mat2x3(np.float32(-0.46), np.float32(-0.45), np.float32(1.03), np.float32(1.94), np.float32(-0.75), np.float32(-0.5)))[0], vec3(np.float32(-0.92), np.float32(-0.9), np.float32(2.06))), 2) + pow(distance((mat2x3(np.float32(-0.46), np.float32(-0.45), np.float32(1.03), np.float32(1.94), np.float32(-0.75), np.float32(-0.5)) + mat2x3(np.float32(-0.46), np.float32(-0.45), np.float32(1.03), np.float32(1.94), np.float32(-0.75), np.float32(-0.5)))[1], vec3(np.float32(3.88), np.float32(-1.5), np.float32(-1.0))), 2) <= np.float32(2.4204398e-09) ? 1 : -1] array0;
  float[pow(distance((mat2x3(np.float32(-0.46), np.float32(-0.45), np.float32(1.03), np.float32(1.94), np.float32(-0.75), np.float32(-0.5)) + mat2x3(np.float32(1.38), np.float32(-1.27), np.float32(1.0), np.float32(-1.08), np.float32(1.83), np.float32(-0.74)))[0], vec3(np.float32(0.91999996), np.float32(-1.72), np.float32(2.03))), 2) + pow(distance((mat2x3(np.float32(-0.46), np.float32(-0.45), np.float32(1.03), np.float32(1.94), np.float32(-0.75), np.float32(-0.5)) + mat2x3(np.float32(1.38), np.float32(-1.27), np.float32(1.0), np.float32(-1.08), np.float32(1.83), np.float32(-0.74)))[1], vec3(np.float32(0.86), np.float32(1.08), np.float32(-1.24))), 2) <= np.float32(1.13693e-09) ? 1 : -1] array1;
  float[pow(distance((mat2x3(np.float32(1.38), np.float32(-1.27), np.float32(1.0), np.float32(-1.08), np.float32(1.83), np.float32(-0.74)) + mat2x3(np.float32(-0.46), np.float32(-0.45), np.float32(1.03), np.float32(1.94), np.float32(-0.75), np.float32(-0.5)))[0], vec3(np.float32(0.91999996), np.float32(-1.72), np.float32(2.03))), 2) + pow(distance((mat2x3(np.float32(1.38), np.float32(-1.27), np.float32(1.0), np.float32(-1.08), np.float32(1.83), np.float32(-0.74)) + mat2x3(np.float32(-0.46), np.float32(-0.45), np.float32(1.03), np.float32(1.94), np.float32(-0.75), np.float32(-0.5)))[1], vec3(np.float32(0.86), np.float32(1.08), np.float32(-1.24))), 2) <= np.float32(1.13693e-09) ? 1 : -1] array2;
  float[pow(distance((mat2x3(np.float32(1.38), np.float32(-1.27), np.float32(1.0), np.float32(-1.08), np.float32(1.83), np.float32(-0.74)) + mat2x3(np.float32(1.38), np.float32(-1.27), np.float32(1.0), np.float32(-1.08), np.float32(1.83), np.float32(-0.74)))[0], vec3(np.float32(2.76), np.float32(-2.54), np.float32(2.0))), 2) + pow(distance((mat2x3(np.float32(1.38), np.float32(-1.27), np.float32(1.0), np.float32(-1.08), np.float32(1.83), np.float32(-0.74)) + mat2x3(np.float32(1.38), np.float32(-1.27), np.float32(1.0), np.float32(-1.08), np.float32(1.83), np.float32(-0.74)))[1], vec3(np.float32(-2.16), np.float32(3.66), np.float32(-1.48))), 2) <= np.float32(3.83208e-09) ? 1 : -1] array3;
  gl_Position = vec4(array0.length() + array1.length() + array2.length() + array3.length());
}
